<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AnalysisUIOptions">
    <option name="SCOPE_TYPE" value="3" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6d43248f-ce60-4b78-b909-b6f700fe32da" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <splitter split-orientation="horizontal" split-proportion="0.5">
      <split-first>
        <leaf>
          <file leaf-file-name="AccessMaskContext.java" pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/src/com/rs/network/protocol/packet/context/impl/AccessMaskContext.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="68">
                  <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
                </state>
              </provider>
            </entry>
          </file>
          <file leaf-file-name="WorldPacketsEncoder.java" pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/com/rs/net/encoders/WorldPacketsEncoder.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="131">
                  <caret line="237" column="8" selection-start-line="237" selection-start-column="8" selection-end-line="237" selection-end-column="118" />
                </state>
              </provider>
            </entry>
          </file>
          <file leaf-file-name="AccessMaskEncoder.java" pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/src/com/rs/network/protocol/packet/encoder/impl/AccessMaskEncoder.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="119">
                  <caret line="7" column="60" selection-start-line="7" selection-start-column="60" selection-end-line="7" selection-end-column="60" />
                  <folding>
                    <element signature="imports" expanded="true" />
                    <element signature="e#532#533#0" expanded="true" />
                    <element signature="e#563#564#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-first>
      <split-second>
        <leaf>
          <file leaf-file-name="AccessMaskContext.java" pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/com/rs/network/protocol/packet/context/impl/AccessMaskContext.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="-42">
                  <caret line="7" column="57" selection-start-line="7" selection-start-column="56" selection-end-line="7" selection-end-column="57" />
                  <folding>
                    <element signature="e#670#671#0" expanded="true" />
                    <element signature="e#704#705#0" expanded="true" />
                    <element signature="e#739#740#0" expanded="true" />
                    <element signature="e#773#774#0" expanded="true" />
                    <element signature="e#805#806#0" expanded="true" />
                    <element signature="e#836#837#0" expanded="true" />
                    <element signature="e#866#867#0" expanded="true" />
                    <element signature="e#895#896#0" expanded="true" />
                    <element signature="e#923#924#0" expanded="true" />
                    <element signature="e#950#951#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-second>
    </splitter>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>sendicomponentse</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/com/rs/network/protocol/packet/encoder/impl/AccessMaskEncoder.java" />
        <option value="$PROJECT_DIR$/src/com/rs/network/protocol/packet/context/impl/AccessMaskContext.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="260" />
    <option name="y" value="20" />
    <option name="width" value="1400" />
    <option name="height" value="1000" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="net" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="net" type="462c0819:PsiDirectoryNode" />
              <item name="encoders" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="packet" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="packet" type="462c0819:PsiDirectoryNode" />
              <item name="context" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="packet" type="462c0819:PsiDirectoryNode" />
              <item name="context" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="packet" type="462c0819:PsiDirectoryNode" />
              <item name="decoder" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="packet" type="462c0819:PsiDirectoryNode" />
              <item name="decoder" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="packet" type="462c0819:PsiDirectoryNode" />
              <item name="encoder" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Server592" type="b2602c69:ProjectViewProjectNode" />
              <item name="Server592" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="rs" type="462c0819:PsiDirectoryNode" />
              <item name="network" type="462c0819:PsiDirectoryNode" />
              <item name="protocol" type="462c0819:PsiDirectoryNode" />
              <item name="packet" type="462c0819:PsiDirectoryNode" />
              <item name="encoder" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="settings.editor.selected.configurable" value="preferences.editor" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6d43248f-ce60-4b78-b909-b6f700fe32da" name="Default" comment="" />
      <created>1525298844728</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1525298844728</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <layout>
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="right" id="Maven Projects" />
      <window_info anchor="bottom" id="Version Control" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32943678" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info id="Designer" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.18020834" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="Favorites" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$APPLICATION_CONFIG_DIR$/idea.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" selection-start-line="2" selection-end-line="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/rs/network/protocol/packet/encoder/impl/AccessMaskEncoder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="60" selection-start-line="7" selection-start-column="60" selection-end-line="7" selection-end-column="60" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#532#533#0" expanded="true" />
            <element signature="e#563#564#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/rs/net/encoders/WorldPacketsEncoder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="131">
          <caret line="237" column="8" selection-start-line="237" selection-start-column="8" selection-end-line="237" selection-end-column="118" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/rs/network/protocol/packet/context/impl/AccessMaskContext.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-42">
          <caret line="7" column="57" selection-start-line="7" selection-start-column="56" selection-end-line="7" selection-end-column="57" />
          <folding>
            <element signature="e#670#671#0" expanded="true" />
            <element signature="e#704#705#0" expanded="true" />
            <element signature="e#739#740#0" expanded="true" />
            <element signature="e#773#774#0" expanded="true" />
            <element signature="e#805#806#0" expanded="true" />
            <element signature="e#836#837#0" expanded="true" />
            <element signature="e#866#867#0" expanded="true" />
            <element signature="e#895#896#0" expanded="true" />
            <element signature="e#923#924#0" expanded="true" />
            <element signature="e#950#951#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>